/***************************************************************************
                          configdialogimp.h  -  description
                             -------------------
    begin                : Thu Jan 3 2002
    copyright            : (C) 2002 by Robin Atwood
    email                : robin.atwood@attglobal.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONFIGDIALOGIMP_H
#define CONFIGDIALOGIMP_H

#include <ui_configdialog.h>
#include <qcheckbox.h>
#include <qdialog.h>
#include <qstring.h>
#include <qstringlist.h>
#include <qpixmap.h>
#include <qpainter.h>
#include <QKeyEvent>

#include <kcombobox.h>
#include <kcolorbutton.h>
#include <klineedit.h>
#include <kfiledialog.h>
#include <kstandarddirs.h>
#include <kapplication.h>
#include <ktoolinvocation.h>
#include "kallglobals.h"

/**
  *@author Robin Atwood
  */

class ConfigDialogImp : public QDialog, public Ui::ConfigDialog, virtual public KallGlobals
{
	Q_OBJECT
	public:
		ConfigDialogImp( QWidget* parent, Qt::WFlags fl = 0 );
		~ConfigDialogImp();
		
	protected slots:
		void slotOKButton();
		void slotLogButton();		
		void slotHelpButton();		

 private:
};

#endif
